[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCustomBitmap.SetPixelFormat

Sets the value for the PixelFormat property.

## Declaration

Source position: graphics.pp line 1412

`protected procedure TCustomBitmap.SetPixelFormat(`
`AValue: TPixelFormat`
`); override;`

## Arguments

`AValue` |  | New value for the property.

## Description

Implements the abstract virtual method defined in the TRasterImage ancestor.

Frees the raw image data in the class instance. No actions are performed in the method when the new property value is the same as the existing property value.

## See also

TRasterImage.PixelFormat |  | Storage format for the Pixels in the Image.
TRasterImage.SetPixelFormat |  | Sets the value for the PixelFormat property.